-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local vehicleID = obj:getID()
local htmlTexture = require("htmlTexture")
local gaugesScreenName = "@roamer_screen"

local function onExtensionLoaded()
    htmlTexture.create(gaugesScreenName, "local://local/vehicles/roamer/roamer_screen.html", 1280, 720, 30, 'automatic')

end

local function onReset()
    onExtensionLoaded()
end

local function updateGFX(dt)
end


-- public interface
M.onExtensionLoaded    = onExtensionLoaded
M.onReset   = onReset
M.updateGFX = updateGFX
--M.updateGFX = nop


return M
